package com.nantian.cloud.dbcapp.mapper.energyinfo;

import com.nantian.cloud.dbcapp.entity.CompanyMaterielProduct;
import com.nantian.cloud.dbcapp.vo.CompanyCalculaterVo;
import com.nantian.cloud.dbcapp.vo.ConfigureDeviceVo;
import com.nantian.cloud.dbcapp.vo.ConfigureGaugeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EnergyInfoDataMapper {

    //获取所有计量器具信息
    List<ConfigureGaugeVo> getConfigureAllInfo(@Param("list") List<String> epcList);

    //在线监测新增企业，同步一次计量人员至应用分析系统
    List<CompanyCalculaterVo> getCalculaterAllInfo(@Param("list") List<String> epcList);

    List<ConfigureGaugeVo> getConfigureById(@Param("list") List<String> gaugeIds);

    List<CompanyCalculaterVo> getCalculaterById(@Param("list") List<String> calculaterIds);

    List<ConfigureDeviceVo> getDeviceById(@Param("list") List<String> calculaterIds);

    //获取所有产品信息
    List<CompanyMaterielProduct> getProductList();
}
